## mingw-w64-uvicorn-0.34.0-1.src.tar.zst

=== requirements.txt ===
-e .[standard]

# TODO: Remove this after h11 makes a release. By this writing, h11 was on 0.14.0.
# Core dependencies
h11 @ git+https://github.com/python-hyper/h11.git@master

# Explicit optionals
a2wsgi==1.10.7
wsproto==1.2.0
websockets==13.1

# Packaging
build==1.2.2.post1
twine==6.0.1

# Testing
ruff==0.8.3
pytest==8.3.4
pytest-mock==3.14.0
mypy==1.13.0
types-click==7.1.8
types-pyyaml==6.0.12.20240917
trustme==1.2.0
cryptography==44.0.0
coverage==7.6.9
coverage-conditional-plugin==0.9.0
httpx==0.28.1

# Documentation
mkdocs==1.6.1
mkdocs-material==9.5.48

=== PKGBUILD ===
# Maintainer: Konstantin Podsvirov <konstantin@podsvirov.pro>

_realname=uvicorn
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=0.34.0
pkgrel=1
pkgdesc='The lightning-fast ASGI server (mingw-w64)'
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.uvicorn.org/'
msys2_repository_url='https://github.com/encode/uvicorn'
msys2_references=(
  'pypi: uvicorn'
)
license=('spdx:BSD-3-Clause')
depends=("${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-click"
         "${MINGW_PACKAGE_PREFIX}-python-h11")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-hatchling")
options=('!strip')
source=("https://pypi.org/packages/source/${_realname::1}/${_realname}/${_realname}-${pkgver}.tar.gz")
sha256sums=('404051050cd7e905de2c9a7e61790943440b3416f49cb409f965d9dcd0fa73e9')

build() {
  cp -r "${_realname}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"

  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    "${MINGW_PREFIX}"/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 LICENSE.md "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE.md"
}
